package com.chuanxia.mcp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chuanxia.mcp.bean.model.CdnDomain;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;

@Repository
public interface CdnDomainMapper extends BaseMapper<CdnDomain> {
    CdnDomain getDomainByCityName(@Param("city") String city);

    CdnDomain getDomainByOperator(@Param("operator") String operator);

    CdnDomain getDomainByTimeRule(@Param("hours") Integer hours);
}
